Skip to main content
POST
Find by details

Authorizations

X-API-KEY
string
header
required

Body

application/json

Request body for finding sources. Each field is optional. However, you must provide at least one field to perform a valid search.

query
string

Text query to search for sources by name or description. (e.g.,'MT Newswire', 'Benzinga', 'Bloomberg')

Example:

"MT Newswire"

countries
string[]

Country codes using the ISO 3166-1 A-2 format (e.g., 'US' for United States, 'FR' for France, 'GB' for Great Britain)

Pattern: ^[A-Z]{2}$
Example:
ranks
enum<string>[]

Source ranking from 1 to 5, where RANK_1 is the highest quality

Available options:
RANK_1,
RANK_2,
RANK_3,
RANK_4,
RANK_5
Example:
categories
enum<string>[]

Available source categories

Available options:
transcripts,
research,
podcasts,
news,
filings,
expert_interviews
Example:
packages
enum<string>[]

Filter sources by available data packages

Available options:
alliance_news,
benzinga,
crypto_markets,
expert_networks,
financial_newswires,
fly_on_the_wall,
fxstreet,
middle_eastern_markets,
midnight_trader,
quartr_presentation_materials,
quartr_reports,
quartr_transcripts,
rp_factset_earnings_comparision,
rp_multi_source_earnings_comparision,
sec_filings,
public
Example:

Response

200 - application/json

Successful response with source data

Response containing source results and metadata

results
object[]
required

Array of source results

metadata
object
required
usage
object

Optional. Present for token-billing accounts only. Reports the number of tokens consumed by this request.